Maven module :un.api : api-common :
Class : un.api.regex.NFAStateExec
Extends/Implements : -
Subclasses : -

NFA graph executor.
This executor may be used by with any kind of objects.
Can be characters codepoint in a regex or tokens in a parser.
This class is not concurrent.
author  Johann Sorel


Variables : state, buffer1, buffer2
Functions : NFAStateExec, init, getState, getProcessState, reset, process


protected NFAState state

protected Seq buffer1

protected Seq buffer2


public void NFAStateExec (NFAState state)

public void init ()

public NFAState getState ()


Return the list of current automaton states.
This list can contain NFAState objects.
return  Sequence current automaton states.
public Sequence getProcessState ()


Reset executor state.
Must be called before any text is evaluated.
public void reset ()


Process a new elements.
This returned list can contain NFAState or NFAPath objects if
the createPath parameter has been set to True in the constructor.
param  candidate unicode code point
return  Collection of current NFA paths
public Sequence process (Object candidate)